cascading.stats.tez.util

## Interface TimelineClient

All Known Implementing Classes:
  TezTimelineClient

    public interface TimelineClient

### Method Summary

Methods
`TaskStatus` `getVertexChild(String taskID)`
`Iterator<TaskStatus>` `getVertexChildren(String vertexID, int limit, String startTaskID)`
`String` `getVertexID(String vertexName)`

### Method Detail

#### getVertexID

    String getVertexID(String vertexName)
                       throws IOException,
                              org.apache.tez.dag.api.TezException

Throws:
  `IOException`
  `org.apache.tez.dag.api.TezException`

#### getVertexChildren

    Iterator<TaskStatus> getVertexChildren(String vertexID,
                                         int limit,
                                         String startTaskID)
                                           throws IOException,
                                                  org.apache.tez.dag.api.TezException

Throws:
  `IOException`
  `org.apache.tez.dag.api.TezException`

#### getVertexChild

    TaskStatus getVertexChild(String taskID)
                              throws org.apache.tez.dag.api.TezException

Throws:
  `org.apache.tez.dag.api.TezException`